Subject: Re: Regarding select() on PPC

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 25 Sep 2008 07:46:46 +1000

> If that is true, then _any_ syscall that takes an int value must have
> a ppc specific sign-extending compat wrapper, are you sure that is
> the case ?

Ok, so that's crap that has been bitrotting. We -do- need to sign extend
everywhere and it looks like we forgot to do it on anything recent, like
signalfd4...

Ben.